D4Science Infrastructure - Support #3119

HomelLlbrary: registering to VRE and VRE Folder problem
Apr 01, 2016 04:16 PM - Massimiliano Assante

Status: Closed Start date: Apr 01, 2016
Priority: Urgent Due date:

Assignee: Valentina Marioli % Done: 100%
Category: Other Estimated time: 0.00 hour
Infrastructure: Production

Description

| tried to register to TabularDataLab VRE but the VRE Folder was not assigned to me reporting this exception in the logs

2016-04-01 14:12:37,948 INFO session.ASLSession [TP-Processorb,setScope:319] $%[PORTAL] 1195755367
[TP-Processor5] INFO org.gcube.application.framework.core.session.ASLSession - The scope about
to set is: /ddscience.research-infrastructures.eu/gCubeApps/TabularDatalLab
2016-04-01 14:12:37,968 INFO server.NewsServiceImpl [TP-Processor2,getAllUpdateUserFeeds:231] %[P
ORTAL] 1195755387 [TP-Processor2] INFO org.gcube.portlets.user.newsfeed.server.NewsServiceImpl -
FAAHx** retrieving feeds for user: massimiliano.assante

org.gcube.common.homelibrary.home.workspace.exceptions.ItemNotFoundException: org.gcube.common.hom
elibrary.home.workspace.exceptions.ItemNotFoundException: java.lang.String cannot be cast to org.g
cube.common.homelibary.model.items.ItemDelegate

at org.gcube.common.homelibrary. jcr.workspace.JCRWorkspace.getItemByAbsPath (JCRWorkspace. java:
2825)

at org.gcube.common.homelibrary. jcr.workspace.JCRWorkspace.getItemByPath (JCRWorkspace. java:280
8)

at org.gcube.common.homelibrary. jcr.workspace.JCRWorkspace.getVREFolderByScope (JCRWorkspace. ja
va:3188)

at org.gcube.portlets.user.lastupdatedfiles.server.FileServicelImpl.getLastUpdateFiles (FileServ
iceImpl. java:112)

at sun.reflect.GeneratedMethodAccessor2666.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse (RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall (RemoteServiceServlet. java:2
08)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost (RemoteServiceServlet. java:2
48)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost (AbstractRemoteServiceSer
vlet.java:62)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:637)

History

#1 - Apr 01, 2016 04:19 PM - Massimiliano Assante

The same problem happened with BioDiversityLab VRE, | left the VRE and the VRE Folder was removed from my share, then | rejoined
BioDiversityLab same exception

miliano.assante
2016-04-01 14:18:40,750 INFO server.FileServiceImpl [TP-Processor2,getlastUpdateFiles:102] $%[PORTAL] 11961181
69 [TP-Processor2] INFO org.gcube.portlets.user.lastupdatedfiles.server.FileServiceImpl - Trying to get Grou
p folder for scope=/d4science.research-infrastructures.eu/gCubelApps/BiodiversityLab
2016-04-01 14:18:40,771 INFO servlet.JCRServlets [TP-Processor2,getItemByPath:237] $%[PORTAL] 1196118190 [TP-P
rocessor2] INFO org.gcube.common.homelibrary.jcr.workspace.servlet.JCRServlets - Calling Servlet GetItemByPa
th /Home/massimiliano.assante/Workspace/MySpecialFolders/d4science.research-infrastructures.eu-gCubeApps—Biodi
versityLab by massimiliano.assante
org.gcube.common.homelibrary.home.workspace.exceptions.ItemNotFoundException: org.gcube.common.homelibrary.hom
e.workspace.exceptions.ItemNotFoundException: java.lang.String cannot be cast to org.gcube.common.homelibary.m
odel.items.ItemDelegate

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getItemByAbsPath (JCRWorkspace. java:2825)

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getItemByPath (JCRWorkspace. java:2808)

at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspace.getVREFolderByScope (JCRWorkspace. java:3188)

at org.gcube.portlets.user.lastupdatedfiles.server.FileServicelImpl.getLastUpdateFiles (FileServicelImpl. java
:112)

at sun.reflect.GeneratedMethodAccessor2666.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.
#2 - Apr 01, 2016 04:21 PM - Massimiliano Assante
| tried with a different user that has never belonged to BioDiversityLab VRE, same exception. It feels like we have this error since we deployed the
HomelLibrary 3.10.1 patch
#3 - Apr 01, 2016 04:28 PM - Massimiliano Assante

| tried with a different user on services.d4science, still on BioDiversityLab VRE, same exception.

#4 - Apr 01, 2016 04:31 PM - Valentina Marioli

- Status changed from New to In Progress

#5 - Apr 04, 2016 03:53 PM - Valentina Marioli
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The issue has been fixed for BioDiversityLab and TabularDataLab VRE Folder. It was due to a bug removing an administrator from the sharing.
I'm going to close this ticket and to open a new ticket to avoid this behaviour.
